Skip to main content
Extension ReFill-Parsec
Please log in to rate Already rated
(6)

Extension ReFill-Parsec

Patches for Parsec

Navi Retlav Studio

Audio examples


Please note that this ReFill requires that you have Parsec 1.0.5 or later installed on your system.

When Propellerhead Software released the Parsec Spectral Synthesiser Rack Extension, we knew that there was going to be something special about it. We took this wild beast into our lab, and twisted, cuddled and treated its partials and modifiers wisely. And from this, the “Extension ReFill-Parsec” was born.